Vulnerability CVE-2020-12068


Published: 2020-05-14   Modified: 2020-05-15

Description:
An issue was discovered in CODESYS Development System before 3.5.16.0. CODESYS WebVisu and CODESYS Remote TargetVisu are susceptible to privilege escalation.

Type:

CWE-269

(Improper Privilege Management)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.4/10
4.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
Codesys -> Control for beaglebone 
Codesys -> Control for empc-a\/imx6 
Codesys -> Control for iot2000 
Codesys -> Control for pfc100 
Codesys -> Control for pfc200 
Codesys -> Control for plcnext 
Codesys -> Control for raspberry pi 
Codesys -> Control rte 
Codesys -> Control runtime system toolkit 
Codesys -> Control win 
Codesys -> Development system 
Codesys -> HMI 

 References:
https://customers.codesys.com/index.php?eID=dumpFile&t=f&f=13136&token=c267875c01ea70bc9613bc39c684eedc17f55420&download
=
https://www.codesys.com

Copyright 2022, cxsecurity.com

 

Back to Top